physics = {world = false, planets = {}}

function physics:newWorld(gx, gy, sleep, meter)
	love.physics.setMeter(2)
	self.world = love.physics.newWorld(gx, gy, sleeep)
end

function physics:newPlanet(x, y, radius, static)
	local type = "dynamic"
	if static then type = "static" end
	local p = {
		body = love.physics.newBody(self.world, x, y, type),
		shape = love.physics.newCircleShape(radius)
	}
	p.fixture = love.physics.newFixture(p.body, p.shape, 1)
	self.planets[#self.planets + 1] = p
end

function physics:getPlanet(i)
	return self.planets[i]
end

function physics:applyForce(i)

end

function physics:update(dt)

end

function physics:draw_debug()
	love.graphics.setColor(255, 0, 0, 255)
	for i,v in ipairs(self.planets) do
		love.graphics.circle("line", v.body:getX(), v.body:getY(), v.shape:getRadius())
	end
end