stars = {
	img = love.graphics.newImage("src/img/stars.png"),
	background_color = {0, 32, 0, 255},
	array = {}
}



function stars:init()
	local init_x = math.floor(screen.width / self.img:getWidth())
	local init_y = math.floor(screen.height / self.img:getHeight())
	for y=0, init_y-1 do
		for x=0, init_x-1 do
			stars:add(x, y)
		end
	end	
end

function stars:add(x, y)
	self.array[y][x] = {
		real_x = x * self.img:getWidth(),
		real_y = y * self.img:getHeight()
	}
end

function stars:update(dt)

end

function stars:draw()
	love.graphics.setColor(255, 255, 255, 255)
	for y=0, #self.array[1] - 1 do
		for x=0, #self.array - 1 do
			love.graphics.draw(self.img, self.array[y][x].real_x, self.array[y][x].real_y)
		end
	end	
end